    # автоматическое объявление всех bg, cg и sp
init 0 python:
    from os import path
    mods["kitcat"] = "Котик кушает блинчики"
    kitcat_BGs_CGs = []
    for filePath in renpy.list_files():
        if "kitcat" in filePath:
            filename = path.splitext(path.basename(filePath))[0]
            if filePath.endswith((".png", ".jpg")):
                filePathSplit = filePath.split("/")
                filenameSplit = filename.split("_")
                if any(item in ["bg", "cg", "gui"] for item in filePathSplit + filenameSplit):
                    kitcat_BGs_CGs.append({ "filename": filename, "filePath": filePath })
                elif "sp" in filePathSplit:
                    img = filePath
                    renpy.image(
                        filename,
                        ConditionSwitch(
                            "persistent.sprite_time == 'sunset'",
                            im.MatrixColor(
                                img,
                                im.matrix.tint(0.94, 0.82, 1.0)
                            ),
                            "persistent.sprite_time == 'night'",
                            im.MatrixColor(
                                img,
                                im.matrix.tint(0.63, 0.78, 0.82)
                            ),
                            True,
                            img
                        )
                    )
                else:
                    renpy.image(filename, filePath)
            elif filePath.endswith((".wav", ".mp2", ".mp3", ".ogg", ".opus")):
                globals()[filename] = filePath
    for obj in kitcat_BGs_CGs:
        renpy.image(obj["filename"], im.Scale(obj["filePath"], config.screen_width, config.screen_height))

image semaulya_kitcat:
    "semaulya_kitcat_01" with dspr
    0.6
    "semaulya_kitcat_02" with dspr
    0.3
    "semaulya_kitcat_03" with dspr
    0.6
    "semaulya_kitcat_02" with dspr
    0.3
    repeat

image no_tie_kitcat:
    contains:
        "kitcat_b1_1"
    contains:
        "kitcat_u1"
    contains:
        "kitcat_r"

image tie_kitcat:
    contains:
        "kitcat_b1_1"
    contains:
        "kitcat_u1"
    contains:
        "kitcat_g"

image no_tie_kitcat_exasted = im.Grayscale('kitcat/img/cg/notie_kitcat.jpg') 

init 2:
    $ mods["kitcat"]= u"Котик кушает блинчики"

    $ config.developer = True



    # ресурсы для мини-игры
    $ kitcat_top = 0
    $ kitcat_bot = 0
    $ kitcat_last_click = ""

    image kitcat_b1_1 = "kitcat/img/gui/b1_1.png"
    image kitcat_g = "kitcat/img/gui/g.png"
    image kitcat_r = "kitcat/img/gui/r.png"
    image kitcat_b1_2 = "kitcat/img/gui/b1_2.png"
    image kitcat_u1 = "kitcat/img/gui/u1.png"
    image kitcat_b2_1 = "kitcat/img/gui/b2_1.png"
    image kitcat_b2_2 = "kitcat/img/gui/b2_2.png"
    image kitcat_t2 = "kitcat/img/gui/t2.png"
    image kitcat_m2 = "kitcat/img/gui/m2.png"

    #Объявляем сами ачивки.
    image alisa_ach = "kitcat/img/ach/alisa_ach.png"
    image kotik_ach = "kitcat/img/ach/kotik_ach.png"
    image trus_ach = "kitcat/img/ach/trus_ach.png"
    image miku_ach = "kitcat/img/ach/miku_ach.png"
    image lena_ach = "kitcat/img/ach/lena_ach.png"
    image sukkub_ach = "kitcat/img/ach/sukkub_ach.png"
    image slavya_ach = "kitcat/img/ach/slavya_ach.png"
    image musor_ach = "kitcat/img/ach/musor_ach.png"

    #Звёздочки для ачивок.
    image kitcat_achievement_stars = "kitcat/img/gui/achievement_stars.png"
    image kitcat_achievement_blik2 = "kitcat/img/gui/achievement_blik2_kitcat.png"
    #Дождливые бг.

#    image bg int_house_of_un_day_rainy = kitcat_make_rainy_img("images/bg/int_house_of_un_day.jpg")
#    image bg int_house_of_sl_day_rainy = kitcat_make_rainy_img("images/bg/int_house_of_sl_day.jpg")
#    image bg int_house_of_dv_day_rainy = kitcat_make_rainy_img("images/bg/int_house_of_dv_day.jpg")
#    image bg int_house_of_mt_day_rainy = kitcat_make_rainy_img("images/bg/int_house_of_mt_day.jpg")

    # имена
    $ colors['kitcat'] = {'night': (200, 255, 200, 255), 'sunset': (200, 255, 200, 255), 'day': (200, 255, 200, 255), 'prolog': (200, 255, 200, 255)}
    $ store.names_list.append('kitcat')
    $ names['kitcat'] = u'Лярва'


    #титры
    $ kitcat_credits = "Сценарий: Домарощинер\nХудожники: Лена Хомутова, Nenkoket, Raynyasha, Таруто Неко\nКодеры: Salo Tor, Николас Хикканов(POI).\n\nА также\n\nОгромная благодарность всем, у кого я натырил фоны, арты и спрайты :D"

screen kitcat_clicker:
    imagemap:
        auto "kitcat/img/gui/tran_%s.png"
        hotspot (430, 77, 370, 372) action [SetVariable("kitcat_top", kitcat_top+1), SetVariable("kitcat_last_click", "top"), Jump("kitcat_mini_game")]
        hotspot (414, 391, 556, 323) action [SetVariable("kitcat_bot", kitcat_bot+1), SetVariable("kitcat_last_click", "bot"), Jump("kitcat_mini_game")]

label kitcat_mini_game:
    scene
    if kitcat_bot <= 1:
        if kitcat_top <= 2:
            show kitcat_b1_1
        else:
            show kitcat_b1_2
        if kitcat_bot == 0:
            show kitcat_u1
    elif kitcat_bot >= 2:
        if kitcat_top <= 2:
            show kitcat_b2_1
        else:
            show kitcat_b2_2
        if kitcat_bot in (2, 3):
            show kitcat_t2
        if kitcat_bot == 3:
            show kitcat_m2
    if kitcat_top == 1:
        show kitcat_r
    elif kitcat_top == 0:
        show kitcat_g
    with dissolve
    if kitcat_top == 1 and kitcat_last_click == "top":
        "Не бойся! Я выполню любое твоё желание. Любое. Просто укажи."
    elif kitcat_top == 2 and kitcat_last_click == "top":
        "Я скинула хитон мой; как же мне опять надевать его?"
    elif kitcat_top == 3 and kitcat_last_click == "top":
        "Я — стена, и сосцы у меня, как башни; потому я буду в глазах твоих, как достигшая полноты."
    elif kitcat_bot == 1 and kitcat_last_click == "bot":
        "Я вымыла ноги мои; как же мне марать их?"
    elif kitcat_bot == 2 and kitcat_last_click == "bot":
        "Поднимись ветер с севера и принесись с юга, повей на сад мой, и польются ароматы его!"
    elif kitcat_bot == 3 and kitcat_last_click == "bot":
        "Пусть придет возлюбленный мой в сад свой и вкушает сладкие плоды его."
    elif kitcat_bot == 4 and kitcat_last_click == "bot":
        "Я принадлежу возлюбленному моему, а возлюбленный мой — мне; он пасет между лилиями."
    elif kitcat_bot >= 4 and kitcat_top >= 3:
        return

    call screen kitcat_clicker

label kitcat:
    window hide
    play music music_list['everlasting_summer'] fadein 3
    with dissolve
    call screen kitcat_menu
    return

init -1:
    $ kitcat_flag = False
    $ kitcat_girl_str = None
    $ kitcat_girl = None

init 999:

    image kitcat_bubble = Image("kitcat/img/gui/baloon.png", xanchor = 0, yanchor = 212)
    image kitcat_bubble2 = Image("kitcat/img/gui/baloon.png", xanchor = 0, yanchor = 212)
    image kitcat_bubble3 = Image("kitcat/img/gui/baloon.png", xanchor = 0, yanchor = 212)
    image kitcat_raindrop_particle_large = "kitcat/img/sp/raindrop_large.png"
    image kitcat_raindrop_particle_normal = "kitcat/img/sp/raindrop_normal.png"
    image kitcat_raindrop_particle_small = "kitcat/img/sp/raindrop_small.png"

    $ style.kitcat_text = Style(style.default)
    $ style.kitcat_text.italic = False
    $ style.kitcat_text.bold = False
    $ style.kitcat_text.text_align = 0.5
    $ style.kitcat_text.size = 20

    $ config.after_load_callbacks.append(kitcat_after_load)

    $ pushleft = PushMove(1.0, "pushleft") #выталкивание картинки влево
    $ pushdown = PushMove(1.0, "pushdown") #выталкивание картинки вниз
    $ pushup = PushMove(1.0, "pushup") #выталкивание картинки вверх

    image kitcat_eff_light_rain:
        truecenter
        xzoom 1.3 yzoom 1.7
        contains:
            SnowBlossom("kitcat_raindrop_particle_normal", 10, 50, (50, 100), (1500, 1600))
        contains:
            SnowBlossom("kitcat_raindrop_particle_small", 25, 50, (25, 50), (1400, 1500))

    image kitcat_eff_light_rain_l:
        "kitcat_eff_light_rain"
        rotate 16.0

    image kitcat_eff_light_rain_l:
        "kitcat_eff_light_rain"
        rotate -16.0

    image kitcat_eff_rain:
        truecenter
        xzoom 1.3 yzoom 1.7
        contains:
            SnowBlossom("kitcat_raindrop_particle_large", 10, 50, (75, 125), (1600, 1700))
        contains:
            SnowBlossom("kitcat_raindrop_particle_normal", 25, 50, (50, 100), (1500, 1600))
        contains:
            SnowBlossom("kitcat_raindrop_particle_small", 150, 50, (25, 50), (1400, 1500))
        rotate -26.0

    image kitcat_eff_rain_l:
        "kitcat_eff_rain"
        rotate -26.0

    image kitcat_eff_rain_r:
        "kitcat_eff_rain"
        rotate -26.0

    image kitcat_eff_hard_rain:
        contains:
            "kitcat_eff_rain"
        contains:
            "kitcat_eff_rain"

    image kitcat_eff_hard_rain_l:
        contains:
            "kitcat_eff_rain_l"
        contains:
            "kitcat_eff_rain_l"

    image kitcat_eff_hard_rain_r:
        contains:
            "kitcat_eff_rain_r"
        contains:
            "kitcat_eff_rain_r"

init python:
    def kitcat_screens_save():
        renpy.display.screen.screens[("original_game_menu_selector", None)] = renpy.display.screen.screens[("game_menu_selector", None)]
        renpy.display.screen.screens[("original_say", None)] =                renpy.display.screen.screens[("say", None)]

    kitcat_screens_save()

    def kitcat_screens_on():
        #renpy.display.screen.screens[("game_menu_selector", None)] =          renpy.display.screen.screens[("kitcat_game_menu_selector", None)]
        renpy.display.screen.screens[("say", None)] =                         renpy.display.screen.screens[("kitcat_say", None)]

    def kitcat_screens_load():
        renpy.display.screen.screens[("game_menu_selector", None)] =          renpy.display.screen.screens[("original_game_menu_selector", None)]
        renpy.display.screen.screens[("say", None)] =                         renpy.display.screen.screens[("original_say", None)]

    def kitcat_interface_on():
        kitcat_screens_on()
        persistent.kitcat_interface = True

    def kitcat_interface_off():
        kitcat_screens_load()
        persistent.kitcat_interface = False

    def kitcat_exit():
        kitcat_interface_off()

    def kitcat_after_load():
        global kitcat_flag
        if kitcat_flag:
            kitcat_interface_on()
        else:
            if persistent.kitcat_interface:
                kitcat_interface_off()

    def kitcat_show(emo, clothes, transition=dspr, transform=center):
        global kitcat_girl
        renpy.show(kitcat_girl+" "+emo+" "+clothes, at_list = [transform], what = kitcat_girl+" "+emo+" "+clothes)
        renpy.transition(transition)
    def kitcat_hide(transition=dissolve):
        global kitcat_girl
        renpy.hide(kitcat_girl)
        renpy.transition(transition)

    #Получаем ачивку + открывается магнитик. Одна функция заместо несколько.
    #kitcat_get_achievement("kotik") — проигрывается ачивка котика со звуком получения ачивки и трансформом. Переменная концовки котика становится True, открывая магнитик.
    #kitcat_get_achievement("alisa") — Алиса
    #kitcat_get_achievement("miku") — Мику
    #kitcat_get_achievement("lena") — Лена
    #kitcat_get_achievement("slavya") — Славя
    #kitcat_get_achievement("musor") — Мусор
    #kitcat_get_achievement("trus") — Трус
    #kitcat_get_achievement("sukkub") — Суккуб
    def kitcat_get_achievement(achivka):
        if achivka == "kotik":
            route_achivka = persistent.kitcat_kotik = True
        if achivka == "alisa":
            route_achivka = persistent.kitcat_alisa = True
        if achivka == "slavya":
            route_achivka = persistent.kitcat_slavya = True
        if achivka == "lena":
            route_achivka = persistent.kitcat_lena = True
        if achivka == "miku":
            route_achivka = persistent.kitcat_miku = True
        if achivka == "musor":
            route_achivka = persistent.kitcat_musor = True
        if achivka == "trus":
            route_achivka = persistent.kitcat_trus = True
        if achivka == "sukkub":
            route_achivka = persistent.kitcat_sukkub = True
        route_achivka
        renpy.play(sfx_achievement, channel="sound")
        renpy.show(achivka + "_ach", [kitcat_get_achievement_atl])
        renpy.pause(7.5)
        renpy.hide(achivka + "_ach")

        #Мьютим музыку и звуки с фейдаутом в 1с. Для прыжков на некоторые концовки через магнитик.
    def kitcat_mute(fade=1.0):
        for channel in ("sound", "sfx", "snd", "ambience", "music"):
            renpy.music.stop(channel=channel, fadeout=fade)

    #Функция для плавного прыжка на лейбл. Не работает, буду тестить и подстраивать.
#    def kitcat_route_jump():
        #renpy.hide("kitcat_" + route_jump)
        #renpy.with_statement(Dissolve(1.0))
        #kitcat_mute(2.0)
        #renpy.scene()
        #renpy.show("black")
        #renpy.with_statement(Dissolve(2.0))
        #renpy.pause(2.0, hard=True)
#        renpy.jump("kitcat_" + route_jump)


        #Сбрасываем все концовки, закрывая тем самым магнитики.
        #Пока ещё не используется, но стоило бы под релиз внедрить.
    def kitcat_reset_all_achievements():
        persistent.kitcat_kotik = False
        persistent.kitcat_alisa = False
        persistent.kitcat_lena = False
        persistent.kitcat_miku = False
        persistent.kitcat_slavya = False
        persistent.kitcat_trus = False
        persistent.kitcat_musor = False
        persistent.kitcat_sukkub = False

        #Получаем все концовки, открываем магнитики.
    def kitcat_collect_all_achievements():
        persistent.kitcat_kotik = True
        persistent.kitcat_alisa = True
        persistent.kitcat_lena = True
        persistent.kitcat_miku = True
        persistent.kitcat_slavya = True
        persistent.kitcat_trus = True
        persistent.kitcat_musor = True
        persistent.kitcat_sukkub = True

        #Функция для дождливого бг
        #Пример дождливого БГшника
        #image bg migga_ext_warehouse2_day_rainy = migga_make_rainy_img(MIGGA_BG + "bg migga_ext_warehouse2_day.png")

#    def kitcat_make_rainy_img(imgf):
#        return im.MatrixColor(imgf, im.matrix.brightness(-0.1) * im.matrix.saturation(0.4) * im.matrix.contrast(0.95) * im.matrix.tint(0.63, 0.78, 0.82))

    #Выставление громкости через более удобную строчку. И про фейд смены громкости не забудь.
    #$ kitcat_set_volume("sound", 0.5, 0.0)
    def kitcat_set_volume(channel, value, fade=0.0):
        renpy.music.set_volume(volume=value, delay=fade, channel=channel)
screen kitcat_game_menu_selector:
    tag menu
    modal True
    $ timeofday = persistent.timeofday
    button:
        style "blank_button"
        xpos 0
        ypos 0
        xfill True
        yfill True
        action Return()
    add get_image("gui/ingame_menu/"+timeofday+"/ingame_menu.png"):
        xalign 0.5
        yalign 0.5
    imagemap:
        if _preferences.language == "spanish":
            auto get_image("gui/ingame_menu/"+timeofday+"/ingame_menu_es_%s.png")
            xalign 0.5
            yalign 0.5
        elif _preferences.language == "italian":
            auto get_image("gui/ingame_menu/"+timeofday+"/ingame_menu_it_%s.png")
            xalign 0.5
            yalign 0.5
        elif _preferences.language == "english":
            auto get_image("gui/ingame_menu/"+timeofday+"/ingame_menu_en_%s.png")
            xalign 0.5
            yalign 0.5
        elif _preferences.language == "chinese":
            auto get_image("gui/ingame_menu/"+timeofday+"/ingame_menu_ch_%s.png")
            xalign 0.5
            yalign 0.5
        else:
            auto get_image("gui/ingame_menu/"+timeofday+"/ingame_menu_%s.png")
            xalign 0.5
            yalign 0.5
        hotspot (0, 82, 660, 65):
            focus_mask None
            clicked [Function(kitcat_exit), MainMenu()]
        hotspot (0, 148, 660, 65):
            focus_mask None
            clicked ShowMenu('save')
        hotspot (0, 213, 660, 65):
            focus_mask None
            clicked ShowMenu('load')
        hotspot (0, 278, 660, 65):
            focus_mask None
            clicked (ShowMenu('kitcat_preferences'), Hide('kitcat_game_menu_selector'))
        hotspot (0, 343, 660, 65):
            focus_mask None
            clicked ShowMenu('quit')

screen kitcat_preferences:
    tag menu
    modal True
    $ translate()
    $ bar_null = Frame(get_image("gui/settings/bar_null.png"),24,24)
    $ bar_full = Frame(get_image("gui/settings/bar_full.png"),24,24)
    window:
        background get_image("gui/settings/preferences_bg.jpg")
        textbutton translation_new["SAVE"]:
            style "log_button"
            text_style "settings_link"
            xalign 0.02
            yalign 0.08
            action ShowMenu('save')
        textbutton translation_new["LOAD"]:
            style "log_button"
            text_style "settings_link"
            xalign 0.98
            yalign 0.08
            action ShowMenu('load')
        hbox:
            xalign 0.5
            yalign 0.08
            add get_image("gui/settings/star.png"):
                yalign 0.65
            text " "+translation_new["settings"]+" ":
                style "settings_link"
                yalign 0.5
                color "#ffffff"
            add get_image("gui/settings/star.png"):
                yalign 0.65
        textbutton translation_new["Back"]:
            style "log_button"
            text_style "settings_link"
            xalign 0.015
            yalign 0.92
            action Return()
        side "c b r":
            area (0.25, 0.23, 0.51, 0.71)
            viewport:
                id "preferences"
                mousewheel True
                scrollbars None
                grid 1 20:
                    xfill True
                    spacing 15
                    text translation_new["Window_mode"]:
                        style "settings_header"
                        xalign 0.5
                    grid 2 1:
                        xfill True
                        hbox:
                            xalign 0.5
                            if _preferences.fullscreen:
                                add get_image("gui/settings/leaf.png"):
                                    ypos 0.12
                            else:
                                null:
                                    width 15
                            textbutton translation_new["Fullscreen"]:
                                style "log_button"
                                text_style "settings_text"
                                action Preference("display", "fullscreen")
                        hbox:
                            xalign 0.5
                            if not _preferences.fullscreen:
                                add get_image("gui/settings/leaf.png"):
                                    ypos 0.12
                            else:
                                null:
                                    width 15
                            textbutton translation_new["Window"]:
                                style "log_button"
                                text_style "settings_text"
                                action Preference("display", "window")
                    text translation_new["Skip"]:
                        style "settings_header"
                        xalign 0.5
                    grid 2 1:
                        xfill True
                        hbox:
                            xalign 0.5
                            if _preferences.skip_unseen:
                                add get_image("gui/settings/leaf.png"):
                                    ypos 0.12
                            else:
                                null:
                                    width 15
                            textbutton translation_new["Skip_all"]:
                                style "log_button"
                                text_style "settings_text"
                                action Preference("skip", "all")
                        hbox:
                            xalign 0.5
                            if not _preferences.skip_unseen:
                                add get_image("gui/settings/leaf.png"):
                                    ypos 0.12
                            else:
                                null:
                                    width 15
                            textbutton translation_new["Skip_seen"]:
                                style "log_button"
                                text_style "settings_text"
                                action Preference("skip", "seen")
                    text translation_new["Volume"]:
                        style "settings_header"
                        xalign 0.5
                    grid 2 1:
                        xfill True
                        textbutton translation_new["Music_lower"]:
                            style "log_button"
                            text_style "settings_text"
                            action Play("sound", "sound/test.ogg")
                            xpos 0.1
                        bar:
                            value Preference("music volume")
                            left_bar bar_full
                            right_bar bar_null
                            thumb "images/gui/settings/htumb.png"
                            hover_thumb "images/gui/settings/htumb.png"
                            xmaximum 1.35
                            ymaximum 24
                            xpos -0.55
                    grid 2 1:
                        xfill True
                        textbutton translation_new["Sound"]:
                            style "log_button"
                            text_style "settings_text"
                            action Play("sound", "sound/test.ogg")
                            xpos 0.1
                        bar:
                            value Preference("sound volume")
                            left_bar bar_full
                            right_bar bar_null
                            thumb "images/gui/settings/htumb.png"
                            hover_thumb "images/gui/settings/htumb.png"
                            xmaximum 1.35
                            ymaximum 24
                            xpos -0.55
                    grid 2 1:
                        xfill True
                        textbutton translation_new["Ambience"]:
                            style "log_button"
                            text_style "settings_text"
                            action Play("sound", "sound/test.ogg")
                            xpos 0.1
                        bar:
                            value Preference("voice volume")
                            left_bar bar_full
                            right_bar bar_null
                            thumb "images/gui/settings/htumb.png"
                            hover_thumb "images/gui/settings/htumb.png"
                            xmaximum 1.35
                            ymaximum 24
                            xpos -0.55
                    text translation_new["Text_speed"]:
                        style "settings_header"
                        xalign 0.5
                    bar:
                        value Preference("text speed")
                        left_bar bar_full
                        right_bar bar_null
                        thumb "images/gui/settings/htumb.png"
                        hover_thumb "images/gui/settings/htumb.png"
                        xalign 0.5
                        xmaximum 0.8
                        ymaximum 24
                    text translation_new["Autoforward"]:
                        style "settings_header"
                        xalign 0.5
                    grid 2 1:
                        xfill True
                        hbox:
                            xalign 0.5
                            if _preferences.afm_time != 0:
                                add get_image("gui/settings/leaf.png"):
                                    ypos 0.12
                            else:
                                null:
                                    width 15
                            textbutton translation_new["Adult_content_on"]:
                                style "log_button"
                                text_style "settings_text"
                                action Preference("auto-forward after click", "enable")
                        hbox:
                            xalign 0.5
                            if _preferences.afm_time == 0:
                                add get_image("gui/settings/leaf.png"):
                                    ypos 0.12
                            else:
                                null:
                                    width 15
                            textbutton translation_new["Adult_content_off"]:
                                style "log_button"
                                text_style "settings_text"
                                action (Preference("auto-forward time", 0), Preference("auto-forward after click", "disable"))
                    text translation_new["Autoforward_time"]:
                        style "settings_header"
                        xalign 0.5
                    bar:
                        value Preference("auto-forward time")
                        left_bar bar_full
                        right_bar bar_null
                        thumb "images/gui/settings/htumb.png"
                        hover_thumb "images/gui/settings/htumb.png"
                        xalign 0.5
                        xmaximum 0.8
                        ymaximum 24
                    text translation_new["Font"]:
                        style "settings_header"
                        xalign 0.5
                    grid 2 1:
                        xfill True
                        hbox:
                            xalign 0.5
                            if persistent.font_size == "small":
                                add get_image("gui/settings/leaf.png"):
                                    ypos 0.12
                            else:
                                null:
                                    width 15
                            textbutton translation_new["Normal_font"]:
                                style "log_button"
                                text_style "settings_text"
                                action SetField(persistent, "font_size", "small")
                        hbox:
                            xalign 0.5
                            if not persistent.font_size == "small":
                                add get_image("gui/settings/leaf.png"):
                                    ypos 0.12
                            else:
                                null:
                                    width 15
                            textbutton translation_new["Big_font"]:
                                style "log_button"
                                text_style "settings_text"
                                action SetField(persistent, "font_size", "large")
                    textbutton translation_new["Language"]:
                        style "log_button"
                        text_style "settings_text"
                        text_size 50
                        xalign 0.5
                        action ShowMenu("language_menu")
                    text translation_new["show_achievments"]:
                        style "settings_header"
                        xalign 0.5
                    grid 2 1:
                        xfill True
                        hbox:
                            xalign 0.5
                            if persistent.show_achievements:
                                add get_image("gui/settings/leaf.png"):
                                    ypos 0.12
                            else:
                                null:
                                    width 15
                            textbutton translation_new["Yes"]:
                                style "log_button"
                                text_style "settings_text"
                                action SetField(persistent, "show_achievements", True)
                        hbox:
                            xalign 0.5
                            if not persistent.show_achievements:
                                add get_image("gui/settings/leaf.png"):
                                    ypos 0.12
                            else:
                                null:
                                    width 15
                            textbutton translation_new["No"]:
                                style "log_button"
                                text_style "settings_text"
                                action SetField(persistent, "show_achievements", False)
                    null
            bar:
                value XScrollValue("preferences")
                left_bar "images/misc/none.png"
                right_bar "images/misc/none.png"
                thumb "images/misc/none.png"
                hover_thumb "images/misc/none.png"
            vbar:
                value YScrollValue("preferences")
                bottom_bar "images/misc/none.png"
                top_bar "images/misc/none.png"
                thumb "images/gui/settings/vthumb.png"
                thumb_offset -12

screen kitcat_say:
    window:
        background None
        id "window"

        add "kitcat/img/gui/textbox.png":
            xalign 0.0
            yalign 1.0

        hbox:

            xalign 0.5
            yalign 1.0

            textbutton _(" История ") style "button_text" action ShowMenu("help")
            textbutton _(" Скрыть интерфейс ") style "button_text" action HideInterface()
            textbutton _(" Сохранить ") style "button_text" action ShowMenu('save')
            textbutton _(" Меню ") style "button_text" action ShowMenu('game_menu_selector')
            textbutton _(" Загрузить ") style "button_text" action ShowMenu('load')
            textbutton _(" Пропустить ") style "button_text" action Skip()
            textbutton _(" Меню мода ") style "button_text" action [Hide("kitcat_bubble"), Hide("kitcat_bubble2"), Hide("kitcat_bubble3"), Jump("kitcat")]

        text what:
            id "what"
            xpos 129
            ypos 609
            xmaximum 1027
            size 23
            line_spacing 1
        if who:
            text who:
                id "who"
                xpos 129
                ypos 575
                size 23
                line_spacing 1

screen kitcat_bubble(ch, pos, txt):
    add "kitcat_bubble":
        if pos == 'center':
            xpos 695
        elif pos == 'left':
            xpos 414
        elif pos == 'right':
            xpos 977
        elif pos == 'fleft':
            xpos 260
        elif pos == 'fright':
            xpos 711
            xzoom -1.0
        elif pos == 'cleft':
            xpos 510
        elif pos == 'cright':
            xpos 881
        if ch == 'cs':
            ypos 213
        elif ch == 'dv':
            ypos 257
        elif ch == 'el':
            ypos 213
        elif ch == 'mi':
            ypos 311
        elif ch == 'mt':
            ypos 213
        elif ch == 'mz':
            ypos 311
        elif ch == 'pi':
            ypos 213
        elif ch == 'sh':
            ypos 213
        elif ch == 'sl':
            ypos 257
        elif ch == 'un':
            ypos 277
        elif ch == 'us':
            ypos 418
        elif ch == 'uv':
            ypos 355
        elif ch == 'sm':
            ypos 213
        elif ch == 'kitcat':
            xpos 863
            ypos 646
            if pos == 'left':
                xpos 414
            elif pos == 'right':
                xpos 977
            elif pos == 'fleft':
                xpos 260
            elif pos == 'fright':
                xpos 1131
            elif pos == 'cleft':
                xpos 510
            elif pos == 'cright':
                xpos 881
    text txt:
        style "kitcat_text"
        xanchor 0.5
        yanchor 0.5
        xmaximum 200
        if pos == 'center':
            xpos 890
        elif pos == 'left':
            xpos 609
        elif pos == 'right':
            xpos 1171
        elif pos == 'fleft':
            xpos 455
        elif pos == 'fright':
            xpos 852
        elif pos == 'cleft':
            xpos 705
        elif pos == 'cright':
            xpos 1075
        if ch == 'cs':
            ypos 80
        elif ch == 'dv':
            ypos 123
        elif ch == 'el':
            ypos 80
        elif ch == 'mi':
            ypos 178
        elif ch == 'mt':
            ypos 80
        elif ch == 'mz':
            ypos 178
        elif ch == 'pi':
            ypos 80
        elif ch == 'sh':
            ypos 80
        elif ch == 'sl':
            ypos 123
        elif ch == 'un':
            ypos 143
        elif ch == 'us':
            ypos 285
        elif ch == 'uv':
            ypos 222
        elif ch == 'sm':
            ypos 80
        elif ch == 'kitcat':
            xpos 1058
            ypos 513
            if pos == 'left':
                xpos 609
            elif pos == 'right':
                xpos 1171
            elif pos == 'fleft':
                xpos 455
            elif pos == 'fright':
                xpos 1325
            elif pos == 'cleft':
                xpos 705
            elif pos == 'cright':
                xpos 1075

screen kitcat_bubble2(ch, pos, txt):
    add "kitcat_bubble2":
        if pos == 'center':
            xpos 695
        elif pos == 'left':
            xpos 414
        elif pos == 'right':
            xpos 977
        elif pos == 'fleft':
            xpos 260
        elif pos == 'fright':
            xpos 711
            xzoom -1.0
        elif pos == 'cleft':
            xpos 510
        elif pos == 'cright':
            xpos 881
        if ch == 'cs':
            ypos 213
        elif ch == 'dv':
            ypos 257
        elif ch == 'el':
            ypos 213
        elif ch == 'mi':
            ypos 311
        elif ch == 'mt':
            ypos 213
        elif ch == 'mz':
            ypos 311
        elif ch == 'pi':
            ypos 213
        elif ch == 'sh':
            ypos 213
        elif ch == 'sl':
            ypos 257
        elif ch == 'un':
            ypos 277
        elif ch == 'us':
            ypos 418
        elif ch == 'uv':
            ypos 355
        elif ch == 'sm':
            ypos 213
        elif ch == 'kitcat':
            xpos 863
            ypos 646
            if pos == 'left':
                xpos 414
            elif pos == 'right':
                xpos 977
            elif pos == 'fleft':
                xpos 260
            elif pos == 'fright':
                xpos 1131
            elif pos == 'cleft':
                xpos 510
            elif pos == 'cright':
                xpos 881
    text txt:
        style "kitcat_text"
        xanchor 0.5
        yanchor 0.5
        xmaximum 200
        if pos == 'center':
            xpos 890
        elif pos == 'left':
            xpos 609
        elif pos == 'right':
            xpos 1171
        elif pos == 'fleft':
            xpos 455
        elif pos == 'fright':
            xpos 852
        elif pos == 'cleft':
            xpos 705
        elif pos == 'cright':
            xpos 1075
        if ch == 'cs':
            ypos 80
        elif ch == 'dv':
            ypos 123
        elif ch == 'el':
            ypos 80
        elif ch == 'mi':
            ypos 178
        elif ch == 'mt':
            ypos 80
        elif ch == 'mz':
            ypos 178
        elif ch == 'pi':
            ypos 80
        elif ch == 'sh':
            ypos 80
        elif ch == 'sl':
            ypos 123
        elif ch == 'un':
            ypos 143
        elif ch == 'us':
            ypos 285
        elif ch == 'uv':
            ypos 222
        elif ch == 'sm':
            ypos 80
        elif ch == 'kitcat':
            xpos 1058
            ypos 513
            if pos == 'left':
                xpos 609
            elif pos == 'right':
                xpos 1171
            elif pos == 'fleft':
                xpos 455
            elif pos == 'fright':
                xpos 1325
            elif pos == 'cleft':
                xpos 705
            elif pos == 'cright':
                xpos 1075

screen kitcat_bubble3(ch, pos, txt):
    add "kitcat_bubble3":
        if pos == 'center':
            xpos 695
        elif pos == 'left':
            xpos 414
        elif pos == 'right':
            xpos 977
        elif pos == 'fleft':
            xpos 260
        elif pos == 'fright':
            xpos 711
            xzoom -1.0
        elif pos == 'cleft':
            xpos 510
        elif pos == 'cright':
            xpos 881
        if ch == 'cs':
            ypos 213
        elif ch == 'dv':
            ypos 257
        elif ch == 'el':
            ypos 213
        elif ch == 'mi':
            ypos 311
        elif ch == 'mt':
            ypos 213
        elif ch == 'mz':
            ypos 311
        elif ch == 'pi':
            ypos 213
        elif ch == 'sh':
            ypos 213
        elif ch == 'sl':
            ypos 257
        elif ch == 'un':
            ypos 277
        elif ch == 'us':
            ypos 418
        elif ch == 'uv':
            ypos 355
        elif ch == 'sm':
            ypos 213
        elif ch == 'kitcat':
            xpos 863
            ypos 646
            if pos == 'left':
                xpos 414
            elif pos == 'right':
                xpos 977
            elif pos == 'fleft':
                xpos 260
            elif pos == 'fright':
                xpos 1131
            elif pos == 'cleft':
                xpos 510
            elif pos == 'cright':
                xpos 881
    text txt:
        style "kitcat_text"
        xanchor 0.5
        yanchor 0.5
        xmaximum 200
        if pos == 'center':
            xpos 890
        elif pos == 'left':
            xpos 609
        elif pos == 'right':
            xpos 1171
        elif pos == 'fleft':
            xpos 455
        elif pos == 'fright':
            xpos 852
        elif pos == 'cleft':
            xpos 705
        elif pos == 'cright':
            xpos 1075
        if ch == 'cs':
            ypos 80
        elif ch == 'dv':
            ypos 123
        elif ch == 'el':
            ypos 80
        elif ch == 'mi':
            ypos 178
        elif ch == 'mt':
            ypos 80
        elif ch == 'mz':
            ypos 178
        elif ch == 'pi':
            ypos 80
        elif ch == 'sh':
            ypos 80
        elif ch == 'sl':
            ypos 123
        elif ch == 'un':
            ypos 143
        elif ch == 'us':
            ypos 285
        elif ch == 'uv':
            ypos 222
        elif ch == 'sm':
            ypos 80
        elif ch == 'kitcat':
            xpos 1058
            ypos 513
            if pos == 'left':
                xpos 609
            elif pos == 'right':
                xpos 1171
            elif pos == 'fleft':
                xpos 455
            elif pos == 'fright':
                xpos 1325
            elif pos == 'cleft':
                xpos 705
            elif pos == 'cright':
                xpos 1075

# Трансформы
transform tcommon: # обычный вид; применять после кастомных трансформов
    yanchor 1.0 subpixel True
    on show:
        ypos 1.03
        zoom 0.95 alpha 0.00
        yoffset -13
        easein .25 yoffset 0 zoom 1.00 alpha 1.00
    on replace:
        alpha 1.00
        parallel:
            easein .25 zoom 1.00
        parallel:
            easein .15 yoffset 0 ypos 1.03

transform bcommon: # приседание с отскоком
    yanchor 1.0 subpixel True
    ypos 1.03
    zoom 0.98 alpha 1.00
    easein .25 yoffset 7

transform mfocus: # малый зум
    yanchor 1.0 ypos 1.03 subpixel True
    on show:
        zoom 0.97 alpha 0.00
        yoffset -13
        easein .25 yoffset 0 zoom 1.03 alpha 1.00
        yanchor 1.0 ypos 1.03
    on replace:
        alpha 1.00
        parallel:
            easein .25 zoom 1.03
        parallel:
            easein .15 yoffset 0

transform bfocus: # большой зум
    yanchor 1.0 ypos 1.03 subpixel True
    on show:
        zoom 0.95 alpha 0.00
        yoffset -13
        easein .25 yoffset 0 zoom 1.05 alpha 1.00
        yanchor 1.0 ypos 1.03
    on replace:
        alpha 1.00
        parallel:
            easein .25 zoom 1.05
        parallel:
            easein .15 yoffset 0

transform hopfocus: # пры-ыжок
    yoffset 0 yanchor 1.0 ypos 1.03 zoom 1.05 alpha 1.00 subpixel True
    easein .1 yoffset -20
    easeout .1 yoffset 10
    pause(0.3)
    repeat

transform hopfocustocenter: # пры-ыжок к центру
    parallel:
        yoffset 0 yanchor 1.0 ypos 1.03 zoom 1.05 alpha 1.00 subpixel True
        easein .1 yoffset -20
        easeout .1 yoffset 10
        pause(0.3)
        repeat
    parallel:
        easein .5 xcenter 0.5

transform stepforward:
    easeout 0.1 zoom 1.05
    ycenter 0.45

transform kitcat_alpha:
        alpha 0.5

#Трансформ ачивок. [ATL в функции]
transform kitcat_get_achievement_atl:
    pos(0.80, 0.85)
    anchor(0.5, 0.5)
    zoom 0.0
    ease 1.5 zoom 1.05
    ease 0.25 zoom 0.95
    ease 0.25 zoom 1.0
    pause 4.0
    ease 0.5 pos(0.8, 0.85)
    ease 0.5 pos(1.0, 0.85) alpha 0.0

#Желтые звёздочки-atl для открытых магнитиков
transform kitcat_achievement_stars_atl:
    size (33, 33)
    ease 0.25 zoom 0.95
    ease 0.25 zoom 1.0
    ease 1.5 alpha 0.5
    ease 1.5 alpha 1.0
    pause 2.0
    ease 0.25 zoom 0.95
    ease 0.25 zoom 0
    repeat
#___________________________________________________Трансформы блика для зум-ачивок______________________________#
#Трус
transform kitcat_blik_trus_atl:
    xcenter 787 ycenter 467
    ease 0.25 zoom 0.95
    pause(0.55)
    linear 0.75 xcenter 827
    linear 0.50 rotate 110
    pause(1.5)
    linear 0.50 rotate 90
    ease 0.25 zoom 0.0
    pause(2)
    repeat

#Суккуб
transform kitcat_blik_sukkub_atl:
    xcenter 720 ycenter 160
    ease 0.25 zoom 0.95
    pause(0.55)
    linear 0.75 xcenter 760
    linear 0.50 rotate 110
    pause(1.5)
    linear 0.50 rotate 90
    ease 0.25 zoom 0.0
    pause(2)
    repeat

#Котик
transform kitcat_blik_kotik_atl:
    xcenter 693 ycenter 63
    ease 0.25 zoom 0.95
    pause(0.55)
    linear 0.75 xcenter 733
    linear 0.50 rotate 110
    pause(1.5)
    linear 0.50 rotate 90
    ease 0.25 zoom 0.0
    pause(2)
    repeat

#Мику
transform kitcat_blik_miku_atl:
    xcenter 627 ycenter 360
    ease 0.25 zoom 0.95
    pause(0.55)
    linear 0.75 xcenter 667
    linear 0.50 rotate 110
    pause(1.5)
    linear 0.50 rotate 90
    ease 0.25 zoom 0.0
    pause(2)
    repeat

#Лена
transform kitcat_blik_lena_atl:
    xcenter 653 ycenter 270
    ease 0.25 zoom 0.95
    pause(0.55)
    linear 0.75 xcenter 693
    linear 0.50 rotate 110
    pause(1.5)
    linear 0.50 rotate 90
    ease 0.25 zoom 0.0
    pause(2)
    repeat

#Мусор
transform kitcat_blik_musor_atl:
    xcenter 627 ycenter 453
    ease 0.25 zoom 0.95
    pause(0.55)
    linear 0.75 xcenter 667
    linear 0.50 rotate 110
    pause(1.5)
    linear 0.50 rotate 90
    ease 0.25 zoom 0.0
    pause(2)
    repeat

#Славя
transform kitcat_blik_slavya_atl:
    xcenter 760 ycenter 320
    ease 0.25 zoom 0.95
    pause(0.55)
    linear 0.75 xcenter 800
    linear 0.50 rotate 110
    pause(1.5)
    linear 0.50 rotate 90
    ease 0.25 zoom 0.0
    pause(2)
    repeat

#Алиса
transform kitcat_blik_alisa_atl:
    xcenter 760 ycenter 253
    ease 0.25 zoom 0.95
    pause(0.55)
    linear 0.75 xcenter 800
    linear 0.50 rotate 110
    pause(1.5)
    linear 0.50 rotate 90
    ease 0.25 zoom 0.0
    pause(2)
    repeat

label kitcat_bubble(ch, pos, txt, ch2="", pos2="", txt2="", ch3="", pos3="", txt3=""):
    $ renpy.show_screen("kitcat_bubble", ch, pos, txt)
    if (ch2 != "") and (pos2 != "") and (txt2 != ""):
        $ renpy.show_screen("kitcat_bubble2", ch2, pos2, txt2)
    if (ch3 != "") and (pos3 != "") and (txt3 != ""):
        $ renpy.show_screen("kitcat_bubble3", ch3, pos3, txt3)
    $ renpy.with_statement(dissolve)
    ""
    $ renpy.hide_screen("kitcat_bubble")
    if (ch2 != "") and (pos2 != "") and (txt2 != ""):
        $ renpy.hide_screen("kitcat_bubble2")
    if (ch3 != "") and (pos3 != "") and (txt3 != ""):
        $ renpy.hide_screen("kitcat_bubble3")
    $ renpy.with_statement(dissolve)
    return

#Переменные, отвечающие за концовки. False — кнопка с значком на холодильнике закрыта.
default persistent.kitcat_alisa = False
default persistent.kitcat_lena = False
default persistent.kitcat_miku = False
default persistent.kitcat_kotik = False
default persistent.kitcat_musor = False
default persistent.kitcat_sukkub = False
default persistent.kitcat_miku = False
default persistent.kitcat_trus = False